*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
  overflow-x: hidden; /* Hide horizontal overflow */
}

body{
  min-height: 100vh;
  background-color: #f4f4f4;
}

:root {
  --primary-color: #CD1926;
}

.menu {
  background-color: #F4F4F4;
}

.menu-btn {
  display: block;
  max-width: 100%;
  height: auto;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  background-color: #F4F4F4;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1920px;
  width: 100%;
  padding: 0.5% 2%;
}

header .logo {
  flex: 0 1 50%;
  max-width: 50%;
}

header .logo img {
  width: 100%;  /* This will ensure that your image takes up 100% width of its container. */
  height: auto; /* This will maintain the aspect ratio of the image as it scales down. */
}


header .menu{
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.primary-nav a {
  font-size: 17px;
  font-weight: 600;
  color:var(--primary-color);
}

.secondary-nav a {
  font-size: 12px;
  font-weight: 600;
  color: black;
}

header .menu a{
  text-decoration: none;
  padding: 0px 20px;
  text-transform: uppercase;
  border-radius: 15px;
}

header .menu a:hover{
  color: darkred;
}

header .btn{
  font-size: 70px;
  cursor: pointer;
  color: #fff;
  display: none;
}

/* Main Content Styles */
main {
  padding-top: 50px;
  background-color: #f4f4f4;
}

/* Footer Styles */
footer {
  /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#cd1926+7,161615+81,161615+81 */
  background: #cd1926; /* Old browsers */
  background: -moz-linear-gradient(top,  #cd1926 7%, #161615 81%, #161615 81%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top,  #cd1926 7%,#161615 81%,#161615 81%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom,  #cd1926 7%,#161615 81%,#161615 81%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cd1926', endColorstr='#161615',GradientType=0 ); /* IE6-9 */
  color: white;
  padding: 50px 0;
}

/* Section Styles */
section::before {
  content: "";
  display: block;
  height: 100px;
  margin-top: -50px;
  visibility: hidden;
  pointer-events: none;
}

/* Text Styles */
h4,
.our-location-text h4 {
  margin: 0;
  padding: 10px 0;
  color: var(--primary-color);
  font-size: calc(1rem + 0.25vw);
}

.text-red {
  margin: 0;
  padding: 10px 0;
  color: var(--primary-color);
  font-size: calc(1rem + 0.25vw);
}

/* Headline Section Styles */
.headline-section {
  display: flex;
  align-items: center;
  padding-top: 100px;
  padding-left: 10%;
  padding-bottom: 25px;
  text-align: justify;
}

/* Image and Text Styles */
.headline-section img,
.text-person p img {
  height: calc(30px + 2vw);
  margin-right: calc(3px + 0.6vw);
}

.headline-section h1 {
  font-size: calc(1.5rem + 0.5vw);
}

/* Content Text Styles */
.content-text {
  padding: 0 10%;
  padding-bottom: 50px;
  text-align: justify;
  font-size: calc(1rem + 0.25vw);
}

.content-text p:not(:last-child) {
  padding-bottom: 15px;
}

/* Video Styles */
.video {
  width: 100%;
  height: auto;
  object-fit: cover;
}

/* EOS Group Styles */
.eos-group {
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 1em 0px;
}

.eos-logo img{
  width: 60px;
  height: auto;
}

.eos-button {
  color: white;
  background-color: var(--primary-color);
  padding: 10px 20px;
  border-radius: 10px;
  text-decoration: none;
}
.eos-button:hover {
  background-color: darkred;
}

.text-fat {
  font-weight: bold;
}

/* Text Person Styles */
.text-person {
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  align-items: flex-start;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.text-michael, .text-claus {
  flex: 1;
  padding: 1rem;
  /* display: flex; */
  flex-direction: column;
  gap: 1rem;
}

.text-michael img, .text-claus img {
  width: 2em;
  height: 2em;
  object-fit: cover;
  flex-shrink: 0; /* Prevent images from shrinking */
}

/* Our Location Styles */
.our-location {
  display: flex;
  align-items: start;
  gap: 2rem;
  padding-bottom: 5em;
}

.our-location-imprint {
  padding-bottom: 5%;
}

.our-location-adress {
  padding-bottom: 5%;
}

.our-location img {
  width: 50%;
  height: auto;
}

/* Image Styles */
#banner-image,
#hero-image {
    width: 100%;
    height: auto;
    object-fit: cover;
}

/* limits max width to 1920px */
.max-width-container {
  max-width: 1920px;
  margin: 0 auto;
  background-color: #f4f4f4;
}

/* eables dropdown on devices < 1024px*/
@media (max-width: 1024px) {
  header .btn{
    display: block;
    color: var(--primary-color);
  }

  header .logo {
    flex: 0 1 70%; /* Adjust this value as needed */
    max-width: 70%; /* Adjust this value as needed */
  }

  header .menu.active{
    right: 0;
  }

  header .menu{
    position: fixed;
    background: #adadad;
    flex-direction: column;
    min-width: 60%;
    height: 100vh;
    top: 0;
    right: -100%;
    padding: 80px 50px;
  }

  header .menu .close-btn {
    position: absolute;
    top: 0;
    left: 0;
    margin: 25px;
  }

  header .menu a{
    display: block;
    font-size: calc(1rem + 1vw);
    margin: 20px;
    padding: 0 15px;
  }
}

/* For desktop with the the min-width 1230px*/
@media screen and (min-width: 1230px) { 
  #banner-image,
  #hero-image {
    height: 700px;
  }

  header .logo img {
    max-width:50%; /* This will ensure that your image is never wider than its container. */
    height: auto; /* This will maintain the aspect ratio of the image as it scales down. */
  }

  .our-location-text {
    width: 50%;
    height: auto;
    padding: 1rem;
  }
}

/* For tablets with a width of max. 1229px*/
@media screen and (min-width: 768px) and (max-width: 1229px) { 
  #banner-image,
  #hero-image {
    height: 500px;
  }

  header .logo img {
    max-width: 55%; /* This will ensure that your image is never wider than its container. */
    height: auto; /* This will maintain the aspect ratio of the image as it scales down. */
  }

  .our-location-text {
    width: 50%;
    height: auto;
    padding: 1rem;
  }
}

/* For smartphones with max width 767px */
@media screen and (min-width: 481px) and (max-width: 767px) {
  #banner-image,
  #hero-image {
    height: 300px;
  }

  .text-person, 
  .our-location,
  .eos-group {
    flex-direction: column;
  }

  .text-person {
    flex-direction: column;
  }

  .text-person .text-michael, .text-person .text-claus {
    padding: 0 0;
  }

  .text-michael, .text-claus {
    padding: 1rem 0;
  }

  .our-location img {
    width: 100%;
  }

  header .logo img {
    max-width: 70%; /* This will ensure that your image is never wider than its container. */
    height: auto; /* This will maintain the aspect ratio of the image as it scales down. */
  }
}

/* For devices with max width 480px */
@media (max-width: 480px) {
  .text-person, 
  .our-location,
  .eos-group {
    flex-direction: column;
  }

  .text-person img {
    height: 2em;
  }

  .our-location img {
    width: 100%;
  }

  header .logo img {
    max-width: 80%; /* This will ensure that your image is never wider than its container. */
    height: auto; /* This will maintain the aspect ratio of the image as it scales down. */
  }

  #banner-image,
  #hero-image {
    height: 200px;
  }
  
  .headline-section {
    font-size: calc(0.75rem + 0.25vw);
  }
}